Bug 309331 - NM has stopped accepting WPA2 passphrases.
NM has stopped accepting WPA2 passphrases.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-09-27 12:57 EDT by Zack Cerza
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 12:36:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-09-27 12:57:02 EDT
Description of problem:
Since it supported WPA at all, NetworkManager allowed me to enter a passphrase
for my WPA2 (AES PSK) access point. It no longer allows that. That is the only
type of WPA authentication my AP will do, so people like me effectively don't
have WPA support anymore.

Sorry if this is a duplicate; I didn't see anything similar in my query.

Version-Release number of selected component (if applicable):
NetworkManager-glib-0.7.0-0.3.svn2886.fc8
NetworkManager-gnome-0.7.0-0.3.svn2886.fc8
NetworkManager-0.7.0-0.3.svn2886.fc8
Comment 1 Warren Togami 2007-09-27 13:04:23 EDT
Currently it accepts only hex representations of the passphrase.  Please use
/usr/sbin/wpa_passphrase to generate one.
Comment 2 Zack Cerza 2007-09-27 13:19:27 EDT
Now the dialog is 0x0, so I can't :(
Comment 3 Matthias Clasen 2007-09-27 13:47:56 EDT
It can't be 0x0, X does not allow windows to go smaller than 1x1.
Comment 4 Zack Cerza 2007-09-27 14:05:08 EDT
Well, whatever it is, it's tiny, and is not resizeable. It appears to have no
contents.

Warren, the generated hex key does not work.
Comment 5 Bill Nottingham 2007-09-27 14:07:50 EDT
What's your wpa_supplicant log look like?
Comment 6 Zack Cerza 2007-09-27 14:12:17 EDT
Was just getting that information... nothing is put into
/var/log/wpa_supplicant.log. I see lines like:

No network configuration found for the current AP
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

But they are from hours ago. All I see in /var/log/messages when using the hex
key fails is:

NetworkManager: <info>  Activation (wlan0/wireless): association took too long,
asking for new key.
Comment 7 Jeremy Katz 2007-09-28 14:38:47 EDT
Committed support for wpa passphrase support to upstream svn.
Comment 8 Zack Cerza 2007-09-28 15:10:15 EDT
Woohoo!
Comment 9 Dan Williams 2007-09-29 21:35:22 EDT
Got pushed out in svn2914; please verify and close?
Comment 10 Jeremy Katz 2007-10-01 10:18:24 EDT
Zack tested my local build and said it worked for
Comment 11 Zack Cerza 2007-10-01 11:22:35 EDT
Jeremy's local build did work; I'll close this when I can verify the koji-built
binary.
Comment 12 Will Woods 2007-10-07 16:15:39 EDT
NM svn2914 is public in rawhide now. Can you confirm that this is fixed and
close the bug if so?
Comment 13 Zack Cerza 2007-10-08 12:36:27 EDT
Oops! Yeah, it's fixed.

Note You need to log in before you can comment on or make changes to this bug.